function cap(str) {
    return str.split(' ').map(word => 
        word.charAt(0).toUpperCase() + word.slice(1)
    ).join(' ');
}

function plural(word, count) {
  if (count === 1) return word;

  if (word.endsWith("y") && !"aeiou".includes(word[word.length - 2])) {
    return word.slice(0, -1) + "ies";
  }
  if (word.endsWith("x") || word.endsWith("z") || word.endsWith("ch") || word.endsWith("sh")) {
    return word + "es";
  } 
  if(word.endsWith('s')) {
    return word;
  }

  return word + "s";
}


export { cap, plural }