import { config } from "../variables/config";
import { world } from "@minecraft/server";

const fire = {
     original: "",
     red: "",
     magenta: "",
     purple: "",
     blue: "",
     gold: ""
   }

export default {
  name: "chatSend",
  type: 0,
  run: async(chat, db) => {
    if (chat.message.startsWith(config.prefix)) return;
    const con = JSON.parse(world.getDynamicProperty("stk.config") ?? `{}`);
    
    if(con?.chatName === false) return;


    chat.cancel = true;
    const player = chat.sender;
    const message = chat.message;
    
    world.sendMessage(`§l§8[§r${fireIcon(player.getDynamicProperty("streak"))} §6${player.getDynamicProperty("streak") || 0}§l§8]§r ${player.name}: §7${message}`)
    
  }
}

function fireIcon(streak) {
  if(streak >= 300) {
    return fire.gold;
  } else if(streak >= 200) {
    return fire.blue;
  } else if(streak >= 100) {
    return fire.purple;
  } else if(streak >= 30) {
    return fire.magenta;
  } else if(streak >= 10) {
    return fire.red;
  } else {
    return fire.original;
  }
}