import { world } from "@minecraft/server";

export default {
  name: "playerSpawn",
  type: 1,
  run: async(data) => {
    if(!data.initialSpawn) return;
    
    const config = JSON.parse(world.getDynamicProperty("stk.config") ?? "{}");

    if (config.weekly === false) return; 
    
    const now = new Date();
  const today = now.getDay(); 
  if (today !== 6) return; 

  const currentDate = now.toLocaleDateString(); 
  const lastClaim = data.player.getDynamicProperty("weekly.lastClaim");

  if (lastClaim === currentDate) return; 

  let chests = JSON.parse(data.player.getDynamicProperty("chests") ?? "{}");
  chests.weekly = (chests.weekly ?? 0) + 1;
  data.player.setDynamicProperty("chests", JSON.stringify(chests));

  data.player.setDynamicProperty("weekly.lastClaim", currentDate);

  data.player.sendMessage("§bYou received a Weekly Chest!");
  }
}