import { world } from '@minecraft/server';
import { rewardChest as reward, questChest as quest, weeklyChest as weekly } from '../variables/chests';

export default {
  name: 'worldLoad',
  type: 1,
  run: async() => {
    const init = world.getDynamicProperty('stk.rewards.init');
    if(init) return;
    
    world.setDynamicProperty('stk.rewards', JSON.stringify({
      quest,
      reward,
      weekly
    }))
    world.setDynamicProperty('stk.rewards.init', true)
  }
}